%define name    syslog-ng
%define version 1.6.8
%define release 3mdk

Summary:	Syslog-ng daemon
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Kernel and hardware
License:	GPL
Url:		http://www.balabit.com/products/syslog_ng/
Source0: 	http://www.balabit.com/downloads/syslog-ng/1.6/src/%{name}-%{version}.tar.gz
Source1: 	http://www.balabit.com/downloads/syslog-ng/1.6/src/%{name}-%{version}.tar.gz.asc
Source2:	syslog-ng.init
Source3:	syslog-ng.conf
Source4:	syslog-ng.logrotate
Patch0:		syslog-ng-1.6.5-conf.patch.bz2
BuildRequires:	flex
BuildRequires:	libol-devel >= 0.2.23
Requires(post):	chkconfig
Requires(preun):chkconfig
Provides:	syslog-daemon
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Syslog-ng, as the name shows, is a syslogd replacement, but with new 
functionality for the new generation. The original syslogd allows 
messages only to be sorted based on priority/facility pairs; syslog-ng 
adds the possibility to filter based on message contents using regular 
expressions. The new configuration scheme is intuitive and powerful. 
Forwarding logs over TCP and remembering all forwarding hops makes it 
ideal for firewalled environments.

%prep
%setup -q
%patch0 -p1

%build
%configure --sbindir=/sbin
%make

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_initrddir}
%{makeinstall_std} sbindir=/sbin sysconfdir=%{_sysconfdir} \
  mandir=%{_mandir} prefix=%{_prefix}

install -m755 %{SOURCE2} %{buildroot}%{_initrddir}/syslog-ng
install -m644 %{SOURCE3} %{buildroot}%{_sysconfdir}/syslog-ng.conf
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
install -m644 %{_sourcedir}/syslog-ng.logrotate \
              %{buildroot}%{_sysconfdir}/logrotate.d/syslog-ng

%post
if [ "$1" -eq 1 ]; then
	/sbin/chkconfig --add syslog-ng
	/sbin/chkconfig syslog-ng off
fi

%preun
if [ "$1" -eq 0 ] ; then
	if [ -f /var/lock/subsys/syslog-ng ]; then
		%{_sysconfdir}/rc.d/init.d/syslog-ng stop
	fi
	/sbin/chkconfig --del syslog-ng
fi

%postun
if [ "$1" -ge 1 ]; then
	%{_sysconfdir}/rc.d/init.d/syslog-ng condrestart
fi

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README ChangeLog INSTALL NEWS PORTS
%doc doc/sgml/syslog-ng.txt
%doc doc/*.demo doc/*.sample doc/*.solaris
%config(noreplace) %{_sysconfdir}/syslog-ng.conf
%config(noreplace) %{_initrddir}/syslog-ng
%{_sysconfdir}/logrotate.d/syslog-ng
/sbin/syslog-ng
%{_mandir}/man5/syslog-ng.conf.5*
%{_mandir}/man8/syslog-ng.8*

%changelog
* Sat Aug 27 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 1.6.8-3mdk
- There was still missing parts of syslog-ng.conf provided that needed
  to be synced with sysklogd one (to have the same functionality),
  closes #13326.

* Wed Jul 13 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 1.6.8-2mdk
- Fixed permissions of source files (rpmlint).
- Fix rpmlint warning: W: syslog-ng summary-ended-with-dot Syslog-ng daemon.

* Thu Jul 07 2005 Herton Ronaldo Krzesinski <herton@mandriva.com> 1.6.8-1mdk
- New upstream version: 1.6.8.
- Modified post scripts to not add syslog-ng service enabled by default,
  and stop/restart syslog-ng service if it's running on package
  uninstallation/upgrade.
- Enabled i18n support and enhanced screen messages inside syslog-ng init
  script.
- Sync syslog-ng.conf file provided with current syslogd configurations
  from mandriva.
- Added missing requires.
- Fix bug #13328: "syslog-ng does not need klogd". With this also added
  logrotate for syslog logs along with syslog-ng, that fixes too a bug
  when syslog-ng stops logging after a weekly logrotate. syslog-ng
  doesn't requires sysklogd package anymore.
- Added Provides for syslog-daemon (may be with this we can make all
  syslog daemons like metalog or sysklogd to provide a common
  meta-package, giving choice for the user).

* Thu Oct 21 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.6.5-1mdk
- 1.6.5 (I forgot)
- regenerate P0
- fix an error in syslog-ng.conf (S3)
- spec fixes

* Tue Aug 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.4.17-5mdk
- changes all error destinations from "/var/log/*/error" to "/var/log/*/errors" (Andre Nathan)

* Wed May 26 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.4.17-4mdk
- rebuild

* Sun Apr 13 2003 Marcel Pol <mpol@gmx.net> 1.4.17-3mdk
- buildrequires

* Fri Jan 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 1.4.17-2mdk
- rebuild

* Mon Oct 28 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.17-1mdk
- new version
- added the gnupg sig file

* Sun Oct 20 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 1.4.16-1mdk
- security fix, see http://www.balabit.hu/static/zsa/ZSA-2002-014-en.txt

* Wed May 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4.15-1mdk
- 1.4.15

* Thu Jan 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.4.14-2mdk
- fix initscript ( thx Simone Piunno )
- better desc.

* Fri Nov 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.14-1mdk
- 1.4.14

* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.12-1mdk
- 1.4.12

* Wed Jan 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.4.10-1mdk
- used srpm from John Johnson <jjohnson@linux-mandrake.com> :
	- Updated syslog-ng to version 1.4.
 
* Mon Nov 13 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.4.8-2mdk
- specfile cleaning, use macros
- rewrote init file
- wrote proper syslog-ng.conf file based on syslog.conf
- patch so config goes in /etc not /etc/syslog-ng
- syslog-ng goes in /sbin not /usr/sbin

* Wed Nov 8 2000 John Johnson <jjohnson@linux-mandrake.com> 1.4.8-1mdk
- Made Mandrake rpm 
